Index: branches/UKMO/dev_r5518_AMM15_package/.project
===================================================================
--- branches/UKMO/dev_r5518_AMM15_package/.project	(revision 10247)
+++ branches/UKMO/dev_r5518_AMM15_package/.project	(revision 10247)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>dev_r5518_obs_oper_update</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+	</buildSpec>
+	<natures>
+	</natures>
+</projectDescription>
Index: branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10246)
+++ branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10247)
@@ -1193,64 +1193,103 @@
 &namobs       !  observation usage switch                               ('key_diaobs')
 !-----------------------------------------------------------------------
-   ln_t3d     = .false.    ! Logical switch for T profile observations
-   ln_s3d     = .false.    ! Logical switch for S profile observations
-   ln_ena     = .false.    ! Logical switch for ENACT insitu data set
-   !                       !     ln_cor                  Logical switch for Coriolis insitu data set
-   ln_profb   = .false.    ! Logical switch for feedback insitu data set
-   ln_sla     = .false.    ! Logical switch for SLA observations
-
-   ln_sladt   = .false.    ! Logical switch for AVISO SLA data
-
-   ln_slafb   = .false.    ! Logical switch for feedback SLA data
-                           !     ln_ssh                  Logical switch for SSH observations
-
-   ln_sst     = .false.     ! Logical switch for SST observations
-   ln_reysst  = .false.     !     ln_reysst               Logical switch for Reynolds observations
-   ln_ghrsst  = .false.    !     ln_ghrsst               Logical switch for GHRSST observations
-
-   ln_sstfb   = .false.    ! Logical switch for feedback SST data
-                           !     ln_sss                  Logical switch for SSS observations
-   ln_seaice  = .false.    ! Logical switch for Sea Ice observations
-                           !     ln_vel3d                Logical switch for velocity observations
-                           !     ln_velavcur             Logical switch for velocity daily av. cur.
-                           !     ln_velhrcur             Logical switch for velocity high freq. cur.
-                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP
-                           !     ln_velhradcp            Logical switch for velocity high freq. ADCP
-                           !     ln_velfb                Logical switch for feedback velocity data
-                           !     ln_grid_global          Global distribtion of observations
-                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table
-                           !     grid_search_file        Grid search lookup file header
-                           !     enactfiles              ENACT input observation file names
-                           !     coriofiles              Coriolis input observation file name
-   !                       ! profbfiles: Profile feedback input observation file name
-   profbfiles = 'profiles_01.nc'
-                           !     ln_profb_enatim         Enact feedback input time setting switch
-                           !     slafilesact             Active SLA input observation file name
-                           !     slafilespas             Passive SLA input observation file name
-   !                       ! slafbfiles: Feedback SLA input observation file name
-   slafbfiles = 'sla_01.nc'
-                           !     sstfiles                GHRSST input observation file name
-   !                       ! sstfbfiles: Feedback SST input observation file name
-   sstfbfiles = 'sst_01.nc'
-                           !     seaicefiles             Sea Ice input observation file names
-   seaicefiles = 'seaice_01.nc'
-                           !     velavcurfiles           Vel. cur. daily av. input file name
-                           !     velhvcurfiles           Vel. cur. high freq. input file name
-                           !     velavadcpfiles          Vel. ADCP daily av. input file name
-                           !     velhvadcpfiles          Vel. ADCP high freq. input file name
-                           !     velfbfiles              Vel. feedback input observation file name
-                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS
-                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS
-                           !     n1dint                  Type of vertical interpolation method
-                           !     n2dint                  Type of horizontal interpolation method
-                           !     ln_nea                  Rejection of observations near land switch
-   nmsshc     = 0          ! MSSH correction scheme
-                           !     mdtcorr                 MDT  correction
-                           !     mdtcutoff               MDT cutoff for computed correction
-   ln_altbias = .false.    ! Logical switch for alt bias
-   ln_ignmis  = .true.     ! Logical switch for ignoring missing files
-                           !     endailyavtypes   ENACT daily average types
-   ln_grid_global = .true.
-   ln_grid_search_lookup = .false.
+   ln_diaobs  = .false.             ! Logical switch for the observation operator
+   ln_t3d     = .false.             ! Logical switch for T profile observations
+   ln_s3d     = .false.             ! Logical switch for S profile observations
+   ln_sla     = .false.             ! Logical switch for SLA observations
+   ln_sst     = .false.             ! Logical switch for SST observations
+   ln_sic     = .false.             ! Logical switch for Sea Ice observations
+   ln_vel3d   = .false.             ! Logical switch for velocity observations
+   ln_sss     = .false.             ! Logical swithc for SSS observations
+   ln_slchltot = .false.            ! Logical switch for surface total              log10(chlorophyll) obs
+   ln_slchldia = .false.            ! Logical switch for surface diatom             log10(chlorophyll) obs
+   ln_slchlnon = .false.            ! Logical switch for surface non-diatom         log10(chlorophyll) obs
+   ln_slchldin = .false.            ! Logical switch for surface dinoflagellate     log10(chlorophyll) obs
+   ln_slchlmic = .false.            ! Logical switch for surface microphytoplankton log10(chlorophyll) obs
+   ln_slchlnan = .false.            ! Logical switch for surface nanophytoplankton  log10(chlorophyll) obs
+   ln_slchlpic = .false.            ! Logical switch for surface picophytoplankton  log10(chlorophyll) obs
+   ln_schltot  = .false.            ! Logical switch for surface total              chlorophyll        obs
+   ln_slphytot = .false.            ! Logical switch for surface total      log10(phytoplankton carbon) obs
+   ln_slphydia = .false.            ! Logical switch for surface diatom     log10(phytoplankton carbon) obs
+   ln_slphynon = .false.            ! Logical switch for surface non-diatom log10(phytoplankton carbon) obs
+   ln_sspm     = .false.            ! Logical switch for surface suspended particulate matter obs
+   ln_sfco2    = .false.            ! Logical switch for surface fugacity         of carbon dioxide obs
+   ln_spco2    = .false.            ! Logical switch for surface partial pressure of carbon dioxide obs
+   ln_plchltot = .false.            ! Logical switch for profile total log10(chlorophyll) obs
+   ln_pchltot  = .false.            ! Logical switch for profile total chlorophyll obs
+   ln_pno3     = .false.            ! Logical switch for profile nitrate obs
+   ln_psi4     = .false.            ! Logical switch for profile silicate obs
+   ln_ppo4     = .false.            ! Logical switch for profile phosphate obs
+   ln_pdic     = .false.            ! Logical switch for profile dissolved inorganic carbon obs
+   ln_palk     = .false.            ! Logical switch for profile alkalinity obs
+   ln_pph      = .false.            ! Logical switch for profile pH obs
+   ln_po2      = .false.            ! Logical switch for profile dissolved oxygen obs
+   ln_altbias = .false.             ! Logical switch for altimeter bias correction
+   ln_sstbias = .false.             ! Logical switch for SST bias correction
+   ln_nea     = .false.             ! Logical switch for rejection of observations near land
+   ln_grid_global = .true.          ! Logical switch for global distribution of observations
+   ln_grid_search_lookup = .false.  ! Logical switch for obs grid search w/lookup table
+   ln_ignmis  = .true.              ! Logical switch for ignoring missing files
+   ln_s_at_t  = .false.             ! Logical switch for computing model S at T obs if not there
+   ln_sstnight = .false.            ! Logical switch for calculating night-time average for SST obs
+   ln_default_fp_indegs = .true.    ! Logical: T=> averaging footprint is in degrees, F=> in metres
+   ln_sla_fp_indegs = .true.        ! Logical: T=> averaging footprint is in degrees, F=> in metres
+   ln_sst_fp_indegs = .true.
+   ln_sss_fp_indegs = .true.
+   ln_sic_fp_indegs = .true.
+! All of the *files* variables below are arrays. Use namelist_cfg to add more files
+   cn_profbfiles = 'profiles_01.nc'      ! Profile feedback input observation file names
+   cn_slafbfiles = 'sla_01.nc'           ! SLA feedback input observation file names
+   cn_sstfbfiles = 'sst_01.nc'           ! SST feedback input observation file names
+   cn_sicfbfiles = 'sic_01.nc'           ! SIC feedback input observation file names
+   cn_velfbfiles = 'vel_01.nc'           ! Velocity feedback input observation file names
+   cn_sssfbfiles = 'sss_01.nc'           ! SSS feedback input observation file names
+   cn_slchltotfbfiles = 'slchltot_01.nc' ! Surface total              log10(chlorophyll) obs file names
+   cn_slchldiafbfiles = 'slchldia_01.nc' ! Surface diatom             log10(chlorophyll) obs file names
+   cn_slchlnonfbfiles = 'slchlnon_01.nc' ! Surface non-diatom         log10(chlorophyll) obs file names
+   cn_slchldinfbfiles = 'slchldin_01.nc' ! Surface dinoflagellate     log10(chlorophyll) obs file names
+   cn_slchlmicfbfiles = 'slchlmic_01.nc' ! Surface microphytoplankton log10(chlorophyll) obs file names
+   cn_slchlnanfbfiles = 'slchlnan_01.nc' ! Surface nanophytoplankton  log10(chlorophyll) obs file names
+   cn_slchlpicfbfiles = 'slchlpic_01.nc' ! Surface picophytoplankton  log10(chlorophyll) obs file names
+   cn_schltotfbfiles  = 'schltot_01.nc'  ! Surface total              chlorophyll        obs file names
+   cn_slphytotfbfiles = 'slphytot_01.nc' ! Surface total      log10(phytoplankton carbon) obs file names
+   cn_slphydiafbfiles = 'slphydia_01.nc' ! Surface diatom     log10(phytoplankton carbon) obs file names
+   cn_slphynonfbfiles = 'slphynon_01.nc' ! Surface non-diatom log10(phytoplankton carbon) obs file names
+   cn_sspmfbfiles     = 'sspm_01.nc'     ! Surface suspended particulate matter obs file names
+   cn_sfco2fbfiles    = 'sfco2_01.nc'    ! Surface fugacity         of carbon dioxide obs file names
+   cn_spco2fbfiles    = 'spco2_01.nc'    ! Surface partial pressure of carbon dioxide obs file names
+   cn_plchltotfbfiles = 'plchltot_01.nc' ! Profile total log10(chlorophyll) obs file names
+   cn_pchltotfbfiles  = 'pchltot_01.nc'  ! Profile total chlorophyll obs file names
+   cn_pno3fbfiles     = 'pno3_01.nc'     ! Profile nitrate obs file names
+   cn_psi4fbfiles     = 'psi4_01.nc'     ! Profile silicate obs file names
+   cn_ppo4fbfiles     = 'ppo4_01.nc'     ! Profile phosphate obs file names
+   cn_pdicfbfiles     = 'pdic_01.nc'     ! Profile dissolved inorganic carbon obs file names
+   cn_palkfbfiles     = 'palk_01.nc'     ! Profile alkalinity obs file names
+   cn_pphfbfiles      = 'pph_01.nc'      ! Profile pH obs file names
+   cn_po2fbfiles      = 'po2_01.nc'      ! Profile dissolved oxygen obs file names
+   cn_altbiasfile = 'altbias.nc'         ! Altimeter bias input file name
+   cn_sstbiasfiles = 'sstbias.nc'        ! SST bias input file names
+   cn_gridsearchfile = 'gridsearch.nc'   ! Grid search file name
+   rn_gridsearchres = 0.5                ! Grid search resolution
+   rn_default_avglamscl = 0.             ! Default E/W diameter of observation footprint (metres/degrees)
+   rn_default_avgphiscl = 0.             ! Default N/S diameter of observation footprint (metres/degrees)
+   rn_sla_avglamscl = 0.                 ! E/W diameter of SLA observation footprint (metres/degrees)
+   rn_sla_avgphiscl = 0.                 ! N/S diameter of SLA observation footprint (metres/degrees)
+   rn_sst_avglamscl = 0.                 ! E/W diameter of SST observation footprint (metres/degrees)
+   rn_sst_avgphiscl = 0.                 ! N/S diameter of SST observation footprint (metres/degrees)
+   rn_sss_avglamscl = 0.                 ! E/W diameter of SSS observation footprint (metres/degrees)
+   rn_sss_avgphiscl = 0.                 ! N/S diameter of SSS observation footprint (metres/degrees)
+   rn_sic_avglamscl = 0.                 ! E/W diameter of SIC observation footprint (metres/degrees)
+   rn_sic_avgphiscl = 0.                 ! N/S diameter of SIC observation footprint (metres/degrees)
+   nn_1dint = 0                          ! Type of vertical interpolation method
+   nn_2dint_default = 0                  ! Default horizontal interpolation method
+   nn_2dint_sla = -1                     ! Horizontal interpolation method for SLA
+   nn_2dint_sst = -1                     ! Horizontal interpolation method for SST
+   nn_2dint_sss = -1                     ! Horizontal interpolation method for SSS
+   nn_2dint_sic = -1                     ! Horizontal interpolation method for SIC
+   nn_msshc = 0                          ! MSSH correction scheme
+   rn_mdtcorr = 1.61                     ! MDT  correction
+   rn_mdtcutoff = 65.0                   ! MDT cutoff for computed correction
+   nn_profdavtypes = -1                  ! Profile daily average types - array
+   
 /
 !-----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10246)
+++ branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10247)
@@ -72,7 +72,5 @@
    REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   u_bkginc, v_bkginc   !: Increment to the u- & v-components 
    REAL(wp), PUBLIC, DIMENSION(:)    , ALLOCATABLE ::   wgtiau               !: IAU weights for each time step
-#if defined key_asminc
    REAL(wp), PUBLIC, DIMENSION(:,:), ALLOCATABLE ::   ssh_iau           !: IAU-weighted sea surface height increment
-#endif
    !                                !!! time steps relative to the cycle interval [0,nitend-nit000-1]
    INTEGER , PUBLIC ::   nitbkg      !: Time step of the background state used in the Jb term
Index: branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10246)
+++ branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10247)
@@ -465,6 +465,6 @@
       ENDIF
 #endif
-      !                                   !* Fill boundary data arrays with AGRIF
-      !                                   ! -------------------------------------
+      !                                   !* Fill boundary data arrays for AGRIF
+      !                                   ! ------------------------------------
 #if defined key_agrif
          IF( .NOT.Agrif_Root() ) CALL agrif_dta_ts( kt )
